import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "company",
      type: "input",
      placeholder: "商品分类"
    },
    {
      field: "timer",
      type: "date_picker",
      placeholder: "联系人",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "timer",
      type: "select",
      placeholder: "设置状态",
      options: [
        {
          label: "未设置"
        },
        {
          label: "已设置"
        }
      ]
    },
    {
      field: "timer",
      type: "input",
      placeholder: "商品名称"
    },
    {
      field: "timer",
      type: "input",
      placeholder: "商品编码"
    }
  ]
};

export default searchFormConfig;
